Network Manager is unable to use a BSNL mobile as modem

Bug #709049 reported by Nishant on 2011-01-28
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mobile-broadband-provider-info (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

Binary package hint: network-manager

BSNL is one of the major service providers in India, and they recently changed their network settings to integrate 3G. They have a new APN and some more changes have beeen made. As a result, network manager is unable to connect. wvdial works, and the attached wvdialrc file is the configuration I use for dialing the network(both 2G and 3G use the same settings). However, Network Manager stubbornly refuses to dial the network, and this is a major hindrance.
I think the package should be fixed ASAP to work with BSNL, since it is the largest provider of 3G services in India.

Ubuntu 10.10 x86_64
Nokia 3710 fold(usb modem in PC suite mode)

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: network-manager 0.8.1+git.20100810t184654.ab580f4-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.35-24.42-generic 2.6.35.8
Uname: Linux 2.6.35-24-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Fri Jan 28 11:22:08 2011
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate amd64 (20100928)
IpRoute:
 192.168.241.0/24 dev vmnet1 proto kernel scope link src 192.168.241.1
 192.168.1.0/24 dev vmnet8 proto kernel scope link src 192.168.1.1
 172.24.64.0/21 dev eth0 proto kernel scope link src 172.24.65.74 metric 1
 169.254.0.0/16 dev eth0 scope link metric 1000
 default via 172.24.71.254 dev eth0 proto static
Keyfiles: Error: [Errno 2] No such file or directory
ProcEnviron:
 PATH=(custom, user)
 LANG=en_IN
 SHELL=/bin/bash
SourcePackage: network-manager

Nishant (nishant-singh28) wrote :

Fair enough.

My wild guess is that is already fixed in an updated mobile-broadband-provider-info, so I'll reassign to that package and defer to Bhavani who knows much more about that package than I do -- perhaps it just needs SRU if the update was done after Maverick release.

affects: network-manager (Ubuntu) → mobile-broadband-provider-info (Ubuntu)
Bhavani Shankar (bhavi) wrote :

Thanks Mathieu for the quick response on this bug

@Nishant: can you download the latest deb from natty (20110118-1) from here and test out if it works from here

https://launchpad.net/ubuntu/+source/mobile-broadband-provider-info/20110118-1/+buildjob/2184353/+files/mobile-broadband-provider-info_20110118-1_all.deb

since the package now supports unified APN of BSNL and I myself use a BSNL 3g mobile and modem

PS: If it does work, I'll make a Stable Release Update (SRU) into maverick

regards

Nishant (nishant-singh28) wrote :

It works perfectly with the deb. Thanks very much
I'm actually using the connection to post this.

Bhavani Shankar (bhavi) wrote :

Okay thanks for your feedback! I'll open up a SRU now regarding this

regards

Martin Pitt (pitti) wrote :

Seems this is fixed in precise:

mobile-broadband-provider-info | 20111113-1 | precise | source, all

Changed in mobile-broadband-provider-info (Ubuntu):
status: New → Fix Released
Changed in mobile-broadband-provider-info (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed

Hello Nishant, or anyone else affected,

Accepted mobile-broadband-provider-info into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Just as a note, this will need to be re-uploaded to precise with a version of 20111113-1ubuntu1 in order to make sure upgrades happen correctly, so I am setting the status back to Triaged in precise.

Changed in mobile-broadband-provider-info (Ubuntu):
status: Fix Released → Triaged
Changed in mobile-broadband-provider-info (Ubuntu Natty):
status: New → Fix Committed
Clint Byrum (clint-fewbar) wrote :

Hello Nishant, or anyone else affected,

Accepted mobile-broadband-provider-info into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Clint Byrum (clint-fewbar) wrote :

Hello Nishant, or anyone else affected,

Accepted mobile-broadband-provider-info into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in mobile-broadband-provider-info (Ubuntu Maverick):
status: New → Fix Committed

Bhavani,

Could you please do a new snapshot of m-b-p-i for precise, so that we can close the precise task? I know this is most likely to happen again before release, but just in case ;)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.11.10

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.11.10) oneiric-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 20:50:51 +0530

Changed in mobile-broadband-provider-info (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Bartosz Kosiorek (gang65) wrote :

The provider for BSNL/CellOne was modified for India and it should work perfectly.

Verification done for Lucid

Changed in mobile-broadband-provider-info (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-done-lucid
tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.10.04

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.10.04) lucid-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 21:23:17 +0530

Changed in mobile-broadband-provider-info (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2012-01-16
Changed in mobile-broadband-provider-info (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.10.10

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.10.10) maverick-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 21:23:17 +0530

Changed in mobile-broadband-provider-info (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mobile-broadband-provider-info - 20111113-1ubuntu0.11.04

---------------
mobile-broadband-provider-info (20111113-1ubuntu0.11.04) natty-proposed; urgency=low

  * SRU exception upload to support various updated networks
    (LP: #856700), (LP: #709049)
 -- Bhavani Shankar <email address hidden> Mon, 05 Dec 2011 21:00:50 +0530

Changed in mobile-broadband-provider-info (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers